Authorization: Bearer ********************{
"quote": {
"company_taxno": "123456789",
"company_name": "Test Company",
"lead_operation": "sea",
"lead_type": "lcl",
"incoterm": "EXW",
"origin_place_code": "TRIST",
"destination_place_code": "DZALG",
"total_weight": 90.0,
"chargeable_weight": 90.0,
"packages_attributes": [
{
"total": 2,
"pack_type": "BI-KAP",
"pack_code": "BI",
"brutwg": 90.0,
"weight_unit": "kg",
"dim_unit": "not_stackable"
}
]
}
}curl --location 'https://demo.modaltrans.com/api/v1/quotes' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"quote": {
"company_taxno": "123456789",
"company_name": "Test Company",
"lead_operation": "sea",
"lead_type": "lcl",
"incoterm": "EXW",
"origin_place_code": "TRIST",
"destination_place_code": "DZALG",
"total_weight": 90.0,
"chargeable_weight": 90.0,
"packages_attributes": [
{
"total": 2,
"pack_type": "BI-KAP",
"pack_code": "BI",
"brutwg": 90.0,
"weight_unit": "kg",
"dim_unit": "not_stackable"
}
]
}
}'{
"id": 0,
"reference": "string",
"ext_reference": "string",
"status": "string",
"lead_operation": "string",
"lead_type": "string",
"load_type": "string",
"service_type": "string",
"incoterm": "string",
"ppcc": "string",
"company_name": "string",
"sender_name": "string",
"consignee_name": "string",
"lead_date": "string",
"due_date": "string",
"pickup_date": "string",
"delivery_date": "string",
"total_weight": 0,
"total_volume": 0,
"chargeable_weight": 0,
"ladameter": 0,
"lead_price": "string",
"price_curr": "string",
"origin_address": "string",
"origin_place_name": "string",
"origin_country_id": "string",
"origin_postcode": "string",
"destination_address": "string",
"destination_place_name": "string",
"destination_country_id": "string",
"destination_postcode": "string",
"dry20": 0,
"dry40": 0,
"hq40": 0,
"other_container_type": "string",
"other_container_count": 0,
"notes": "string",
"commodity_notes": "string",
"created_at": "string",
"updated_at": "string",
"packages": [
{
"package_type_code": "string",
"number_of_packages": 0,
"number_of_pieces": "string",
"brut_weight": 0,
"net_weight": 0,
"weight_unit": "string",
"volume": 0,
"volume_unit": "string",
"hs_code": "string",
"container_no": "string",
"dimension": "string",
"description": "string",
"loading_notes": "string"
}
],
"lead_vehicles": [
{
"id": 0,
"vehicle_type": "string",
"vehicle_unit": 0,
"weight": 0,
"notes": "string"
}
]
}